Bug 991550 - curl resolves DNS names to IPv6 addresses on an IPv4-only host
curl resolves DNS names to IPv6 addresses on an IPv4-only host
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-02 13:36 EDT by James
Modified: 2013-09-17 12:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-17 12:08:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James 2013-08-02 13:36:52 EDT
Curl attempts to contact IPv6 addresses when the host does not have an interface with an IPv6 address. This seems to happen 9/10 times on this machine. Programs such as firefox, ping, nslookup and ssh work correctly. This causes yum to fail to update, since yum uses curl.


[james@mufasa ~]$ curl -V
curl 7.29.0 (x86_64-redhat-linux-gnu) libcurl/7.29.0 NSS/ zlib/1.2.7 libidn/1.26 libssh2/1.4.3
Protocols: dict file ftp ftps gopher http https imap imaps ldap ldaps pop3 pop3s rtsp scp sftp smtp smtps telnet tftp 
Features: AsynchDNS GSS-Negotiate IDN IPv6 Largefile NTLM NTLM_WB SSL libz

How reproducible:

This occurs 9/10 times on this machine.

Steps to Reproduce:

1. Installed Fedora 19 from the full DVD.
2. Set IPv6 in NetworkManager -> IPv6 Settings -> Ignore.
3. Disable IPv6 using:

$sudo sysctl -w net.ipv6.conf.all.disable_ipv6=1

4. $curl fedoraproject.org

Actual results:

curl: (6) Could not resolve host: fedoraproject.org; Name or service not known

Expected results:

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

Additional info:

Forcing curl to use IPv4 causes it to work correctly every time:

$ curl -4 fedoraproject.org
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
Comment 1 Kamil Dudka 2013-08-09 05:59:05 EDT
Please attach the output of the following command:

$ getent ahosts fedoraproject.org
Comment 2 Kamil Dudka 2013-09-17 12:08:58 EDT
More than a month in needinfo, closing out...

Note You need to log in before you can comment on or make changes to this bug.